Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| IAIK PKCS#11 Wrapper version 1.2.16
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## iaik.pkcs.pkcs11.parameters
Class RC2MacGeneralParameters

    java.lang.Object
      iaik.pkcs.pkcs11.parameters.RC2Parameters
          iaik.pkcs.pkcs11.parameters.RC2MacGeneralParameters

All Implemented Interfaces:
  Cloneable, Parameters

public class RC2MacGeneralParameters
extends RC2Parameters

This class encapsulates parameters for the algorithm Mechanism.RC2_MAC_GENERAL.

Invariants

Field Summary
`protected long` | `macLength_` The length of the MAC produced, in bytes.

Fields inherited from class iaik.pkcs.pkcs11.parameters.RC2Parameters
`effectiveBits_`

Constructor Summary
`RC2MacGeneralParameters(long effectiveBits, long macLength)` Create a new RC2MacGeneralParameters object with the given effective bits and given MAC length.

Method Summary
`boolean` | `equals(Object otherObject)` Compares all member variables of this object with the other object.
`long` | `getMacLength()` Get the length of the MAC produced, in bytes.
`Object` | `getPKCS11ParamsObject()` Get this parameters object as an object of the CK_RC2_MAC_GENERAL_PARAMS class.
`int` | `hashCode()` The overriding of this method should ensure that the objects of this class work correctly in a hashtable.
`void` | `setMacLength(long macLength)` Set the length of the MAC produced, in bytes.
`String` | `toString()` Returns the string representation of this object.

Methods inherited from class iaik.pkcs.pkcs11.parameters.RC2Parameters
`clone, getEffectiveBits, setEffectiveBits`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### macLength_

    protected long macLength_

  The length of the MAC produced, in bytes.

Constructor Detail

### RC2MacGeneralParameters

    public RC2MacGeneralParameters(long effectiveBits,
                                   long macLength)

  Create a new RC2MacGeneralParameters object with the given effective bits and given MAC length.

Parameters:
  `effectiveBits` - The effective number of bits in the RC2 search space.
  `macLength` - The length of the MAC produced, in bytes.
Preconditions
  (effectiveBits >= 1) and (effectiveBits <= 1024)
Postconditions

Method Detail

### getMacLength

    public long getMacLength()

  Get the length of the MAC produced, in bytes.

  Returns:
    The length of the MAC produced, in bytes.
  Preconditions
  Postconditions

### getPKCS11ParamsObject

    public Object getPKCS11ParamsObject()

  Get this parameters object as an object of the CK_RC2_MAC_GENERAL_PARAMS class.

  Specified by:
    `getPKCS11ParamsObject` in interface `Parameters`
  Overrides:
    `getPKCS11ParamsObject` in class `RC2Parameters`
  Returns:
    This object as a CK_RC2_MAC_GENERAL_PARAMS object.
  Preconditions
  Postconditions
    (result <> null)

### setMacLength

    public void setMacLength(long macLength)

  Set the length of the MAC produced, in bytes.

  Parameters:
    `macLength` - The length of the MAC produced, in bytes.
  Preconditions
  Postconditions

### toString

    public String toString()

  Returns the string representation of this object. Do not parse data from this string, it is for debugging only.

  Overrides:
    `toString` in class `RC2Parameters`
  Returns:
    A string representation of this object.

### equals

    public boolean equals(Object otherObject)

  Compares all member variables of this object with the other object. Returns only true, if all are equal in both objects.

  Overrides:
    `equals` in class `RC2Parameters`
  Parameters:
    `otherObject` - The other object to compare to.
  Returns:
    True, if other is an instance of this class and all member variables of both objects are equal. False, otherwise.
  Preconditions
  Postconditions

### hashCode

    public int hashCode()

  The overriding of this method should ensure that the objects of this class work correctly in a hashtable.

  Overrides:
    `hashCode` in class `RC2Parameters`
  Returns:
    The hash code of this object.
  Preconditions
  Postconditions

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| IAIK PKCS#11 Wrapper version 1.2.16
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

IAIK JavaSecurity Website http://jce.iaik.tugraz.at/
IAIK at Graz University of Technology, Austria, Europe
Copyright 2001-2002, IAIK, Graz University of Technology, Inffeldgasse 16a, 8010 Graz, Austria. All Rights Reserved.